Last Comment Bug 691338 - [TABLETUI] Reposition arrowbox container on rotation
: [TABLETUI] Reposition arrowbox container on rotation
Status: RESOLVED WONTFIX
:
Product: Fennec Graveyard
Classification: Graveyard
Component: General (show other bugs)
: Trunk
: ARM Android
: P4 normal (vote)
: Firefox 9
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
Depends on:
Blocks: 655762 685308
  Show dependency treegraph
 
Reported: 2011-10-03 08:03 PDT by Aaron Train [:aaronmt]
Modified: 2013-04-27 17:07 PDT (History)
8 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Nightly (10/03) (140.16 KB, image/jpeg)
2011-10-03 08:03 PDT, Aaron Train [:aaronmt]
no flags Details
Reuse same position when re-anchoring popup on resize event (1.68 KB, patch)
2011-10-12 09:04 PDT, Lucas Rocha (:lucasr)
lucasr.at.mozilla: review+
cww: approval‑mozilla‑aurora+
Details | Diff | Splinter Review
Screenshot landscape (182.21 KB, image/png)
2011-10-14 04:36 PDT, Camelia Urian
no flags Details
Screenshot portrait (151.98 KB, image/png)
2011-10-14 04:37 PDT, Camelia Urian
no flags Details

Description Aaron Train [:aaronmt] 2011-10-03 08:03:44 PDT
Created attachment 564187 [details]
Nightly (10/03)

See screenshot

STR:
1. Landscape: Open the site identity panel
2. Rotate to portrait

The container should reposition back.

--
Mozilla/5.0 (Android; Linux armv7l; rv:10.0a1) Gecko/20111003 Firefox/10.0a1 Fennec/10.0a1
Mozilla/5.0 (Android; Linux armv7l; rv:9.0a2) Gecko/20111003 Firefox/9.0a2 Fennec/9.0a2
Samsung Galaxy Tab 10.1
Comment 1 Lucas Rocha (:lucasr) 2011-10-12 09:04:53 PDT
Created attachment 566560 [details] [diff] [review]
Reuse same position when re-anchoring popup on resize event

This patch has been reviewed and approved in bug 684278. Uploading it here for future reference.
Comment 3 Lucas Rocha (:lucasr) 2011-10-12 09:12:24 PDT
Comment on attachment 566560 [details] [diff] [review]
Reuse same position when re-anchoring popup on resize event

Requesting to land to aurora. Simple patch that fixes a series of bugs related to repositioning chrome popups when device orientation changes. Low risk.
Comment 4 Marco Bonardo [::mak] 2011-10-13 07:15:42 PDT
https://hg.mozilla.org/mozilla-central/rev/f8b238f2a9f0
Comment 5 [:Cww] 2011-10-13 14:50:49 PDT
Comment on attachment 566560 [details] [diff] [review]
Reuse same position when re-anchoring popup on resize event

Approving for aurora.
Comment 6 [:Cww] 2011-10-13 14:51:22 PDT
Not RTL specific.
Comment 7 Mark Finkle (:mfinkle) (use needinfo?) 2011-10-13 21:09:29 PDT
https://hg.mozilla.org/releases/mozilla-aurora/rev/c51ae7d58e76
Comment 8 Camelia Urian 2011-10-14 04:32:29 PDT
Mozilla/5.0 (Android; Linux armv7l; rv:10.0a1) Gecko/20111013 Firefox/10.0a1 Fennec/10.0a1
Mozilla/5.0 (Android; Linux armv7l; rv:9.0a2) Gecko/20111003 Firefox/9.0a2 Fennec/9.0a2
Device: Asus Transformer TF101

If tab menu is opened in landscape mode, then site identity panel is not correctly repositioned on screen rotation.
Comment 9 Camelia Urian 2011-10-14 04:36:08 PDT
Created attachment 567051 [details]
Screenshot landscape
Comment 10 Camelia Urian 2011-10-14 04:37:48 PDT
Created attachment 567053 [details]
Screenshot portrait

Note You need to log in before you can comment on or make changes to this bug.